MSKGraphInternal::TextBox Struct Reference

Internal: the textbox of a MSKGraph ( v2-v3) More...

Inheritance diagram for MSKGraphInternal::TextBox:

## Public Member Functions

| TextBox (Zone const &z)
| constructor More...
virtual Type | type () const
| return the type More...
virtual void | print (std::ostream &o) const
| operator<< More...
virtual void | fillFramePropertyList (WPXPropertyList &extras) const
| add frame parameters to propList (if needed ) More...
Public Member Functions inherited from MSKGraphInternal::Zone
| Zone ()
| constructor More...
virtual | ~Zone ()
| destructor More...
virtual bool | getBinaryData (MWAWInputStreamPtr, WPXBinaryData &res, std::string &pictType) const
| return a binary data (if known) More...
virtual float | needExtraBorderWidth () const
| return the extra border space ( if needed) More...
Box2f | getLocalBox () const
| return the box More...
MWAWPosition | getPosition (MWAWPosition::AnchorTo rel) const

## Public Attributes

int | m_numPositions
| the number of positions More...
std::vector< Font > | m_fontsList
| the list of fonts More...
std::vector< int > | m_positions
| the list of positions More...
std::vector< int > | m_formats
| the list of format More...
std::string | m_text
| the text More...
MWAWParagraph::Justification | m_justify
| the paragraph alignement More...
Public Attributes inherited from MSKGraphInternal::Zone
int | m_subType
| the type More...
int | m_zoneId
| the zone id More...
MWAWEntry | m_pos
| the file position More...
long | m_dataPos
| the data begin position More...
int | m_fileId
| the file id More...
long | m_ids [3]
| the zones id (main, previous, next) More...
int | m_page
| the page More...
Vec2f | m_decal
| the local position More...
Box2f | m_box
| local bdbox More...
int | m_line
| the line position(v1) More...
int | m_lineType
| the line type (v2) : 0= dotted, 1=half, 2=1, 3=2pt?, 4:4pt More...
int | m_lineWidth
| the line width (v3, ...) More...
MWAWColor | m_lineColor
| the line color More...
Pattern | m_linePattern
| the line pattern More...
int | m_lineFlags
| the line flag More...
MWAWColor | m_surfaceColor
| the 2D surface color More...
Pattern | m_surfacePattern
| the line pattern More...
int | m_order
| the picture order More...
std::string | m_extra
| extra data More...
bool | m_isSent
| true if the zone is send More...

## Additional Inherited Members

Public Types inherited from MSKGraphInternal::Zone
enum | Type { Unknown, Basic, Group, Pict, Text, Textv4, Bitmap, TableZone, OLE }

## Detailed Description

Internal: the textbox of a MSKGraph ( v2-v3)

## Constructor & Destructor Documentation

MSKGraphInternal::TextBox::TextBox | ( | Zone const & | z | ) |

inline

constructor

## Member Function Documentation

virtual void MSKGraphInternal::TextBox::fillFramePropertyList | ( | WPXPropertyList & | extras | ) | const

inline virtual

add frame parameters to propList (if needed )

Reimplemented from MSKGraphInternal::Zone.

virtual void MSKGraphInternal::TextBox::print | ( | std::ostream & | o | ) | const

inline virtual

operator<<

Reimplemented from MSKGraphInternal::Zone.

virtual Type MSKGraphInternal::TextBox::type | ( |  | ) | const

inline virtual

return the type

Reimplemented from MSKGraphInternal::Zone.

## Member Data Documentation

std::vector<Font> MSKGraphInternal::TextBox::m_fontsList

the list of fonts

Referenced by MSKGraph::readText(), and MSKGraph::sendTextBox().

std::vector<int> MSKGraphInternal::TextBox::m_formats

the list of format

Referenced by MSKGraph::readText(), and MSKGraph::sendTextBox().

MWAWParagraph::Justification MSKGraphInternal::TextBox::m_justify

the paragraph alignement

Referenced by MSKGraph::getEntryPicture(), print(), and MSKGraph::sendTextBox().

int MSKGraphInternal::TextBox::m_numPositions

the number of positions

Referenced by MSKGraph::getEntryPicture(), and MSKGraph::readText().

std::vector<int> MSKGraphInternal::TextBox::m_positions

the list of positions

Referenced by MSKGraph::readText(), and MSKGraph::sendTextBox().

std::string MSKGraphInternal::TextBox::m_text

the text

Referenced by MSKGraph::readText(), and MSKGraph::sendTextBox().

The documentation for this struct was generated from the following file:

- MSKGraph.cxx